import matplotlib.pyplot as plt
import japanize_matplotlib
import pystan
import seaborn as sb

Data = {'bun_m': 130, 'bun_f': 83,
        'hou_m': 236, 'hou_f': 75,
        'ri_m':  281, 'ri_f':  32,
        'kou_m': 858, 'kou_f': 79,
        'nou_m': 189, 'nou_f': 103}

sm = pystan.StanModel(file = 'FreqBin.stan')
fit = sm.sampling(data = Data, n_jobs = 1)
print(fit)

sb.kdeplot(fit['bun_p'], label = '文学部')
sb.kdeplot(fit['hou_p'], label = '法学部')
sb.kdeplot(fit['ri_p'], label = '理学部')
sb.kdeplot(fit['kou_p'], label = '工学部')
sb.kdeplot(fit['nou_p'], label = '農学部')
plt.xlabel('P(女子学生)', fontsize = 14)
plt.yticks([])
plt.legend(fontsize = 14)
plt.show()
